Get session identity
curl --request GET \
--url https://your-instance.example.com/api/sessions/{session}/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/sessions/{session}/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.example.com/api/sessions/{session}/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.example.com/api/sessions/{session}/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-instance.example.com/api/sessions/{session}/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"businessName": "<string>",
"lid": "<string>",
"phoneNumber": "<string>",
"platform": "<string>",
"profilePicUrl": "<string>",
"pushName": "<string>"
}{
"error": "missing or invalid API key"
}{
"error": "internal server error"
}{
"docs": "<string>",
"error": "<string>"
}sessions
Get session identity
Returns the WhatsApp account info for the connected session
GET
/
api
/
sessions
/
{session}
/
me
Get session identity
Authorizations
Scoped API key created via POST /api/account/keys.
Path Parameters
Session name
Response
OK
Business name (WhatsApp Business accounts only)
Linked Device ID of the authenticated account
Phone number in E.164 format
Platform type (e.g. "smba", "consumer")
URL of the account's profile picture
Display name set by the user on WhatsApp